* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -ms-text-size-adjust: none;
  -moz-text-size-adjust: none;
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
  -webkit-user-drag: none;
  -webkit-touch-callout: none;
  -ms-content-zooming: none;
  -webkit-tap-highlight-color: transparent;
  box-sizing: border-box;
}

:root {
  --background-color: #20232a;
  --secondary-bg: #0000004F;
  --toggle-bg: #0000004F;
  --toggle-hover: rgba(40,44,52,1);
  --text-color: #ffffff
}

body,html {
  padding: 0;
  margin: 0;
  font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
  font-size: 16px;
  background-color: var(--background-color);
  color: var(--text-color)
}

a,a:active,a:hover,a:visited {
  text-decoration: none;
  color: inherit
}

#pano,#titleBar .sceneName,body,html {
  width: 100%;
  height: 100%;
  overflow: hidden
}

#pano {
  position: absolute;
  top: 0;
  left: 0
}

#titleBar {
  height: 85px !important;
  background-color: var(--secondary-bg);
  color: var(--text-color);
  border: 1px solid #000;
  box-shadow: #000000;
}

body.fullscreen-enabled #titleBar {
  right: 260px;
}

body.fullscreen-enabled.mobile #titleBar {
  right: 70px;
}

body.multiple-scenes #titleBar {
  left: 240px;
}

body.multiple-scenes.mobile #titleBar {
  left: 70px;
}

#titleBar .sceneName {
  line-height: 30px;
  padding: 25px 0;
  text-align: center;
  align-items: center;
  /* background-color: #d9c2b3; */
  text-overflow: ellipsis;
  white-space: nowrap;
  font-size: 32px;
  font-weight: 700;
  -moz-user-select: text;
  -webkit-user-select: text;
  -ms-user-select: text;
  user-select: text
}

.mobile #titleBar .sceneName {
  line-height: 40px;
  padding: 20px 0;
  font-size: 20px
}

#fullscreenToggle,body.single-scene #sceneList,body.single-scene #sceneListToggle {
  display: none
}

.mobile #fullscreenToggle {
  width: 50px;
  height: 50px
}

#fullscreenToggle .icon {
  top: 5px;
  right: 5px;
  width: 30px;
  height: 30px
}

.mobile #fullscreenToggle .icon {
  top: 10px;
  right: 10px
}

#autorotateToggle,#fullscreenToggle .icon.off,#fullscreenToggle.enabled .icon.on {
  display: block
}

.mobile #autorotateToggle {
  width: 50px;
  height: 50px
}

#autorotateToggle .icon {
  top: 5px;
  right: 5px;
  width: 30px;
  height: 30px;
}

.mobile #autorotateToggle .icon {
  top: 10px;
  right: 10px
}

#autorotateToggle .icon.off,#autorotateToggle.enabled .icon.on {
  display: block
}

.mobile #sceneListToggle {
  width: 50px;
  height: 50px
}

#sceneListToggle .text {
  position: absolute;
  top: 5px;
  left: 15px;
  width: 100%;
  line-height: 30px
}

#sceneListToggle .icon {
  top: 5px;
  right: 5px;
  width: 30px
}

.mobile #sceneListToggle .icon {
  top: 10px;
  right: 10px
}

#sceneListToggle .icon.off,#sceneListToggle.enabled .icon.on,.no-touch .tooltip-fallback .link-hotspot:hover .link-hotspot-tooltip {
  display: block
}

#sceneList {
  background-color: var(--secondary-bg)
}

.mobile #sceneList {
  margin-top: 100px
}

#sceneList .scenes {
  width: 100%;
  /* background-color: #d9c2b3 */
}

.mobile #sceneList {
  width: 60%;
  height: 100%;
  left: -100%
}

.mobile #sceneList.enabled {
  margin-left: 100%
}

.mobile #sceneList .scenes {
  height: 100%
}

#sceneList.enabled {
  margin-left: 350px
}

#sceneList .scene {
  display: block;
  width: 100%;
  height: 220px;
  align-items: center;
  justify-content: center;
  padding: 20px;
  margin: 0;
  border-bottom: 1px solid rgba(0,0,0,.2)
}

.mobile #sceneList .scene {
  height: 200px
}

#sceneList .scene .text {
  width: 100%;
  height: 100%;
  padding: 0 15px;
  line-height: 30px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap
}

.mobile #sceneList .scene .text {
  line-height: 40px
}

#sceneList .scene.current,.no-touch #sceneList .scene:hover {
  background-color: #677383;
  background-color: rgba(103,115,131,.8)
}

.link-hotspot {
  width: 60px;
  height: 60px;
  margin-left: -30px;
  margin-top: -30px;
  opacity: .9;
  -webkit-transition: opacity .2s;
  transition: opacity .2s
}

.no-touch .link-hotspot:hover {
  opacity: 1
}

.mobile .link-hotspot {
  width: 70px;
  height: 70px;
  top: 19px
}

.link-hotspot-icon {
  width: 100%;
  height: 100%;
  cursor: pointer
}

.link-hotspot-tooltip {
  position: absolute;
  left: 100%;
  top: 14px;
  margin-left: 3px;
  font-size: 16px;
  max-width: 300px;
  padding: 8px 10px;
  border-radius: 5px;
  background-color: #3a4454;
  background-color: rgba(58,68,84,.8);
  color: #fff;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  cursor: pointer;
  opacity: 0;
  -ms-transform: translateX(-8px);
  -webkit-transform: translateX(-8px);
  transform: translateX(-8px);
  -webkit-transition: -ms-transform .3s,-webkit-transform .3s,transform .3s,opacity .3s;
  transition: -ms-transform .3s,-webkit-transform .3s,transform .3s,opacity .3s;
  pointer-events: none
}

.no-touch .link-hotspot:hover .link-hotspot-tooltip {
  opacity: 1;
  -ms-transform: translateX(0);
  -webkit-transform: translateX(0);
  transform: translateX(0);
  pointer-events: all
}

.tooltip-fallback .link-hotspot-tooltip {
  display: none
}

.info-hotspot {
  line-height: 1.2em;
  opacity: .9;
  -webkit-transition: opacity .2s .2s;
  transition: opacity .2s .2s
}

.no-touch .info-hotspot:hover {
  opacity: 1;
  -webkit-transition: opacity .2s;
  transition: opacity .2s
}

.info-hotspot.visible {
  opacity: 1
}

.info-hotspot .info-hotspot-header {
  width: 40px;
  height: 40px;
  border-radius: 20px;
  background-color: #677383;
  cursor: pointer;
  -webkit-transition: width .3s ease-in-out .5s,border-radius .3s ease-in-out .5s;
  transition: width .3s ease-in-out .5s,border-radius .3s ease-in-out .5s
}

.mobile .info-hotspot .info-hotspot-header {
  width: 50px;
  height: 50px;
  border-radius: 25px
}

.desktop .info-hotspot.visible .info-hotspot-header,.desktop.no-touch .info-hotspot .info-hotspot-header:hover,.desktop.no-touch .info-hotspot.visible .info-hotspot-header:hover {
  width: 260px;
  border-radius: 5px;
  -webkit-transition: width .3s ease-in-out,border-radius .3s ease-in-out;
  transition: width .3s ease-in-out,border-radius .3s ease-in-out
}

.desktop .info-hotspot.visible .info-hotspot-header,.desktop.no-touch .info-hotspot.visible .info-hotspot-header:hover {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0
}

.info-hotspot .info-hotspot-icon-wrapper {
  width: 40px;
  height: 40px
}

.mobile .info-hotspot .info-hotspot-icon-wrapper {
  width: 50px;
  height: 50px
}

.info-hotspot .info-hotspot-icon {
  width: 90%;
  height: 90%;
  margin: 5%
}

.info-hotspot .info-hotspot-title-wrapper {
  position: absolute;
  left: 40px;
  top: 0;
  width: 0;
  height: 40px;
  padding: 0;
  overflow: hidden;
  -webkit-transition: width 0s .4s,padding 0s .4s;
  transition: width 0s .4s,padding 0s .4s
}

.desktop .info-hotspot.visible .info-hotspot-title-wrapper,.desktop.no-touch .info-hotspot .info-hotspot-header:hover .info-hotspot-title-wrapper {
  width: 350px;
  padding: 0 5px;
  -webkit-transition: width 0s .4s,padding 0s .4s;
  transition: width 0s .4s,padding 0s .4s
}

.info-hotspot .info-hotspot-title-wrapper:before,.info-hotspot-modal .info-hotspot-title-wrapper:before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  height: 100%
}

.info-hotspot .info-hotspot-title {
  display: inline-block;
  vertical-align: middle;
  -moz-user-select: text;
  -webkit-user-select: text;
  -ms-user-select: text;
  user-select: text
}

.info-hotspot .info-hotspot-close-wrapper {
  position: absolute;
  left: 260px;
  top: 0;
  height: 40px;
  width: 40px;
  border-top-right-radius: 5px;
  background-color: #4e5868;
  visibility: hidden;
  -ms-transform: perspective(200px) rotateY(90deg);
  -webkit-transform: perspective(200px) rotateY(90deg);
  transform: perspective(200px) rotateY(90deg);
  -ms-transform-origin: 0 50%0;
  -webkit-transform-origin: 0 50%0;
  transform-origin: 0 50%0;
  -webkit-transition: -ms-transform .3s .3s,-webkit-transform .3s .3s,transform .3s .3s,visibility 0s .6s;
  transition: -ms-transform .3s .3s,-webkit-transform .3s .3s,transform .3s .3s,visibility 0s .6s
}

.desktop .info-hotspot.visible .info-hotspot-close-wrapper {
  visibility: visible;
  -ms-transform: perspective(200px) rotateY(0deg);
  -webkit-transform: perspective(200px) rotateY(0deg);
  transform: perspective(200px) rotateY(0deg);
  -webkit-transition: -ms-transform .3s,-webkit-transform .3s,transform .3s,visibility 0s 0s;
  transition: -ms-transform .3s,-webkit-transform .3s,transform .3s,visibility 0s 0s
}

.info-hotspot .info-hotspot-close-icon {
  width: 70%;
  height: 70%;
  margin: 15%
}

.info-hotspot .info-hotspot-text {
  position: absolute;
  width: 300px;
  height: auto;
  max-height: 200px;
  top: 40px;
  left: 0;
  padding: 10px;
  background-color: #3a4454;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  overflow-y: auto;
  visibility: hidden;
  -ms-transform: perspective(200px) rotateX(-89.999deg);
  -webkit-transform: perspective(200px) rotateX(-89.999deg);
  transform: perspective(200px) rotateX(-89.999deg);
  -ms-transform-origin: 50%0 0;
  -webkit-transform-origin: 50%0 0;
  transform-origin: 50%0 0;
  -webkit-transition: -ms-transform .3s,-webkit-transform .3s,transform .3s,visibility 0s .3s;
  transition: -ms-transform .3s,-webkit-transform .3s,transform .3s,visibility 0s .3s;
  -moz-user-select: text;
  -webkit-user-select: text;
  -ms-user-select: text;
  user-select: text
}

.desktop .info-hotspot.visible .info-hotspot-text {
  visibility: visible;
  -ms-transform: perspective(200px) rotateX(0deg);
  -webkit-transform: perspective(200px) rotateX(0deg);
  transform: perspective(200px) rotateX(0deg);
  -webkit-transition: -ms-transform .3s .3s,-webkit-transform .3s .3s,transform .3s .3s,visibility 0s 0s;
  transition: -ms-transform .3s .3s,-webkit-transform .3s .3s,transform .3s .3s,visibility 0s 0s
}

.desktop .info-hotspot-modal {
  display: none
}

.info-hotspot-modal {
  top: 0;
  left: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: 11000!important;
  background-color: rgba(0,0,0,.5);
  line-height: 1.2em;
  opacity: 0;
  visibility: hidden;
  -webkit-transition: opacity .2s ease-in-out .5s,visibility 0s .7s;
  transition: opacity .2s ease-in-out .5s,visibility 0s .7s
}

.info-hotspot-modal.visible {
  opacity: 1;
  visibility: visible;
  -webkit-transition: opacity .2s ease-in-out,visibility 0s 0s;
  transition: opacity .2s ease-in-out,visibility 0s 0s
}

.info-hotspot-modal .info-hotspot-header {
  position: absolute;
  top: 60px;
  left: 10px;
  right: 10px;
  width: auto;
  height: 50px;
  background-color: #677383;
  background-color: rgba(103,115,131,.8);
  opacity: 0;
  -webkit-transition: opacity .3s ease-in-out .2s;
  transition: opacity .3s ease-in-out .2s
}

.info-hotspot-modal.visible .info-hotspot-header {
  opacity: 1;
  -webkit-transition: opacity .3s ease-in-out .2s;
  transition: opacity .3s ease-in-out .2s
}

.info-hotspot-modal .info-hotspot-icon-wrapper {
  width: 50px;
  height: 50px
}

.info-hotspot-modal .info-hotspot-icon {
  width: 90%;
  height: 90%;
  margin: 5%
}

.info-hotspot-modal .info-hotspot-title-wrapper {
  position: absolute;
  top: 0;
  left: 50px;
  right: 50px;
  width: auto;
  height: 50px;
  padding: 0 10px
}

.info-hotspot-modal .info-hotspot-title {
  display: inline-block;
  vertical-align: middle;
  -moz-user-select: text;
  -webkit-user-select: text;
  -ms-user-select: text;
  user-select: text
}

.info-hotspot-modal .info-hotspot-close-wrapper {
  position: absolute;
  top: 0;
  right: 0;
  width: 50px;
  height: 50px;
  background-color: #4e5868;
  background-color: rgba(78,88,104,.8);
  cursor: pointer
}

.info-hotspot-modal .info-hotspot-close-icon {
  width: 70%;
  height: 70%;
  margin: 15%
}

.info-hotspot-modal .info-hotspot-text {
  position: absolute;
  top: 110px;
  bottom: 10px;
  left: 10px;
  right: 10px;
  padding: 10px;
  background-color: #3a4454;
  background-color: rgba(58,68,84,.8);
  overflow-y: auto;
  opacity: 0;
  -webkit-transition: opacity .3s ease-in-out;
  transition: opacity .3s ease-in-out;
  -moz-user-select: text;
  -webkit-user-select: text;
  -ms-user-select: text;
  user-select: text
}

.info-hotspot-modal.visible .info-hotspot-text {
  opacity: 1;
  -webkit-transition: opacity .3s ease-in-out .4s;
  transition: opacity .3s ease-in-out .4s
}

.viewControlButton {
  display: none;
  position: absolute;
  bottom: 10px;
  left: 50%;
  width: 40px;
  height: 40px;
  padding: 5px;
  background-color: var(--toggle-bg)
}

#musicToggle .icon,#voiceToggle .icon {
  top: 5px;
  right: 5px
}

#musicToggle .icon.off,#voiceToggle .icon.off {
  display: block
}

#musicToggle.enabled .icon.on,#voiceToggle.enabled .icon.on {
  display: block;
  background-color: var(--primary-color)
}

#autorotateToggle .icon.on,#autorotateToggle.enabled .icon.off,#fullscreenToggle .icon.on,#fullscreenToggle.enabled .icon.off,#musicToggle .icon.on,#musicToggle.enabled .icon.off,#sceneListToggle .icon.on,#sceneListToggle.enabled .icon.off,#toggleContainer a .icon.on,#voiceToggle .icon.on,#voiceToggle.enabled .icon.off {
  display: none
}

#autorotateToggle,#fullscreenToggle,#sceneListToggle {
  position: absolute;
  top: 0;
  width: 30px;
  height: 30px;
  padding: 10px
}

#autorotateToggle,#fullscreenToggle,#musicToggle,#sceneListToggle,#toggleContainer a,#topRightToolbar a,#voiceToggle {
  background-color: var(--toggle-bg);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  box-shadow: 0 2px 4px rgba(0,0,0,.3)
}

#musicToggle,#voiceToggle {
  position: absolute;
  width: 30px;
  height: 30px;
  padding: 10px
}

#titleBar {
  position: absolute;
  top: 10px;
  left: 0;
  right: 0;
  margin: 0 20px;
  text-align: center;
  color: #fff;
  line-height: 40px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  z-index: 1000;
  border-radius: 10px
}

h1 {
  text-shadow: 0 0 10px rgba(0,0,0,.5);
  color: #fff
}

.mobile #titleBar {
  height: 50px;
  left: 100px;
  right: 50px
}

#sceneListToggle,.mobile #sceneListToggle {
  left: 0
}

#fullscreenToggle,.mobile #fullscreenToggle {
  right: 0
}

#voiceToggle {
  right: 135px
}

#musicToggle {
  right: 90px;
}

#autorotateToggle {
  right: 45px
}

.mobile #voiceToggle {
  top: 165px;
  right: 0
}

.mobile #musicToggle {
  top: 110px;
  right: 0
}

.mobile #autorotateToggle {
  top: 55px;
  right: 0
}

#bottomToolbar a:hover,#toggleContainer a:hover,#topLeftToolbar a:hover,#topRightToolbar a:hover {
  background-color: var(--toggle-hover);
  transform: scale(1.1);
  box-shadow: 0 4px 8px rgba(0,0,0,.4)
}

#autorotateToggle:hover,#fullscreenToggle:hover,#musicToggle:hover,#sceneListToggle:hover,#voiceToggle:hover {
  box-shadow: 0 4px 8px rgba(0,0,0,.4)
}

#autorotateToggle .icon,#fullscreenToggle .icon,#musicToggle .icon,#sceneListToggle .icon,#voiceToggle .icon {
  font-size: 30px;
  color: #fff;
  text-align: center;
  align-items: center;
  position: static;
  display: inline-block;
  line-height: normal;
  vertical-align: middle
}

#autorotateToggle,#fullscreenToggle,#musicToggle,#sceneListToggle,#voiceToggle {
  transition: background-color .3s ease,transform .3s ease
}

#autorotateToggle:hover,#fullscreenToggle:hover,#musicToggle:hover,#sceneListToggle:hover,#voiceToggle:hover {
  background-color: var(--toggle-hover);
  transform: scale(1.1)
}

.mobile #musicToggle,.mobile #voiceToggle {
  width: 50px;
  height: 50px
}

.mobile #musicToggle .icon,.mobile #voiceToggle .icon {
  top: 10px;
  right: 10px
}

.viewControlButton .icon {
  top: 5px;
  right: 5px;
  width: 30px!important;
  height: 30px!important;
  position: static
}

.viewControlButton-1 {
  margin-left: -20px;
  margin-bottom: 45px
}

.viewControlButton-2 {
  margin-left: -20px
}

.viewControlButton-3 {
  margin-left: -65px
}

.viewControlButton-4 {
  margin-left: 25px
}

.viewControlButton-5 {
  margin-left: -65px;
  margin-bottom: 45px
}

.viewControlButton-6 {
  margin-left: 25px;
  margin-bottom: 45px
}

#toggleContainer,#topRightToolbar {
  position: absolute;
  top: 10px;
  right: 10px;
  display: flex;
  gap: 10px;
  z-index: 1000
}

#toggleContainer a, #topRightToolbar a {
  width: 40px;
  height: 40px;
  padding: 5px;
  transition: background-color .3s ease,transform .3s ease,box-shadow .3s ease
}

#bottomToolbar .icon,#toggleContainer .icon,#topRightToolbar .icon {
  text-align: center
}

#toggleContainer a .icon.off,#toggleContainer a.enabled .icon.on {
  display: block
}

#toggleContainer a.enabled .icon.off,#topRightToolbar a .icon.on {
  display: none
}

#topRightToolbar a .icon.off,#topRightToolbar a.enabled .icon.on {
  display: block
}

#bottomToolbar a .icon.on,#topRightToolbar a.enabled .icon.off {
  display: none
}

@media (max-width:600px) {
  #topRightToolbar {
      flex-wrap: wrap;
      justify-content: space-between
  }

  #topRightToolbar a {
      width: 48%;
      margin-bottom: 10px
  }

  #musicToggle,#voiceToggle {
      order: 1
  }

  #autorotateToggle,#fullscreenToggle {
      order: 2
  }
}

#bottomToolbar,#topLeftToolbar {
  position: absolute;
  display: flex;
  gap: 10px;
  z-index: 1000
}

#bottomToolbar {
  bottom: 10px;
  right: 80px;
  transform: translateX(-50%);
  align-items: center
}

#bottomToolbar a,#topLeftToolbar a,.home-button-info,.home-button-left {
  background-color: var(--toggle-bg);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 2px 4px rgba(0,0,0,.3)
}

#bottomToolbar a,#topLeftToolbar a {
  width: 40px;
  height: 40px;
  padding: 5px;
  transition: background-color .3s ease,transform .3s ease,box-shadow .3s ease
}

#bottomToolbar a .icon.off,#bottomToolbar a.enabled .icon.on {
  display: block
}

#bottomToolbar a.enabled .icon.off,#topLeftToolbar a .icon.on {
  display: none
}

#bottomToolbar #sceneListToggle {
  position: static;
  top: auto;
  left: auto
}

#topLeftToolbar {
  top: 10px;
  left: 10px
}

#bottomToolbar .icon,#toggleContainer .icon,#topLeftToolbar .icon,#topRightToolbar .icon {
  font-size: 30px;
  color: #fff;
  display: inline-block;
  line-height: normal;
  vertical-align: middle
}

#topLeftToolbar a.enabled .icon.on {
  display: block
}

#topLeftToolbar a.enabled .icon.off {
  display: none
}

#sceneList {
  position: absolute;
  top: 0;
  left: -350px;
  margin-top: 120px;
  width: 350px;
  max-height: 70%;
  overflow-x: hidden;
  overflow-y: auto;
  margin-left: 0;
  -webkit-transition: margin-left .5s ease-in-out;
  transition: margin-left .5s ease-in-out;
  border-radius: 0 0 15px 0;
  box-shadow: 0 2px 4px rgba(0,0,0,.3)
}

.home-button-info,.home-button-left {
  position: fixed;
  bottom: 20px;
  width: 50px;
  height: 50px;
  text-decoration: none;
  color: var(--text-color);
  transition: transform .2s ease-in-out;
  z-index: 1000
}

.home-button-left {
  left: 20px
}

.home-button-info:hover,.home-button-left:hover {
  transform: scale(1.1)
}

.home-button-info i,.home-button-left i {
  font-size: 24px
}

.home-button-info {
  left: 90px
}

#infoPanel {
  position: fixed;
  right: -80vw;
  width: 79vw;
  top: 150px !important;
  height: 60%;
  background-color: var(--secondary-bg);
  box-shadow: -2px 0 10px rgba(0,0,0,.9);
  transition: right .3s ease-in-out;
  z-index: 1100;
  overflow-y: auto;
  padding: 30px;
  border-radius: 15px 0 0 15px
}

.mobile #infoPanel {
  top: 250px !important;
}

#infoPanel.visible {
  right: 0
}

#infoPanel h2 {
  margin-top: 0
}

#infoPanel h2,#infoPanel p,.infoPanelClose {
  color: var(--text-color)
}

.infoPanelClose {
  position: absolute;
  top: 10px;
  right: 10px;
  background-color: transparent;
  font-size: 24px;
  text-decoration: none;
  z-index: 1110;
  cursor: pointer
}

.infoPanelClose:hover {
  color: var(--primary-color)
}

#sceneList .scenes li {
  display: flex;
  flex-direction: column;
  align-items: center
}

#sceneList .scenes li span {
  display: block;
  text-align: center
}

.scene-preview {
  width: 250px;
  height: 140px;
  margin-top: 10px;
  margin-right: 10px;
  vertical-align: middle;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0,0,0,.3);
  border: 1px solid #ccc;
  object-fit: cover;
}

/* Reveal */

#reveal {
  width: 60px;
  height: 60px;
  background-color: #25aae1;
  border-radius: 50%;
  margin-left: 0;
  text-align: center;
  cursor: pointer;
  transition: height .3s ease-in-out, width .3s ease-in-out, border-radius .3s ease-in-out, margin .3s ease-in-out;
}

#reveal>img {
  width: 40px;
  margin: 10px 0;
}

.reveal-content {
  width: 180px;
  height: 160px;
  padding: 10px;
  background-color: #fff;
  opacity: 0;
  text-align: center;
  pointer-events: none;
  transition: opacity .01s ease-in-out;
}

.reveal-content img {
  width: 120px;
  opacity: 0;
  transition: width .01s ease-in-out, opacity .01s ease-in-out;
}

.reveal-content p {
  margin: 10px 0;
  font-weight: 700;
  color: #2d2d2d;
  margin-top: -20px;
  opacity: 0;
  transition: margin .01s ease-in-out, opacity .01s ease-in-out;
}

#reveal:hover {
  width: 180px;
  height: 220px;
  border-radius: 5px;
  margin-left: -50px;
}

#reveal:hover .reveal-content {
  opacity: 1;
  pointer-events: all;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  transition: opacity .3s ease-in-out .3s;
}

#reveal:hover .reveal-content img {
  width: 160px;
  opacity: 1;
  transition: width .2s ease-in-out .1s, opacity .2s ease-in-out .1s;
}

#reveal:hover .reveal-content p {
  margin-top: 10px;
  opacity: 1;
  transition: margin .2s ease-in-out .1s, opacity .2s ease-in-out .1s;
}